/* Load this script using conditional IE comments if you need to support IE 7 and IE 6. */

window.onload = function() {
	function addIcon(el, entity) {
		var html = el.innerHTML;
		el.innerHTML = '<span style="font-family: \'icomoon\'">' + entity + '</span>' + html;
	}
	var icons = {
			'icon-DIF_Ikoner_512x512_9' : '&#x31;',
			'icon-DIF_Ikoner_512x512_13' : '&#x32;',
			'icon-DIF_Ikoner_512x512_7' : '&#x33;',
			'icon-DIF_Ikoner_512x512_6' : '&#x34;',
			'icon-DIF_Ikoner_512x512_4' : '&#x35;',
			'icon-DIF_Ikoner_512x512_3' : '&#x36;',
			'icon-DIF_Ikoner_512x512_5' : '&#x37;',
			'icon-DIF_Ikoner_512x512_2' : '&#x38;',
			'icon-DIF_Ikoner_512x512_8' : '&#x39;',
			'icon-DIF_Ikoner_512x512_1' : '&#x30;'
		},
		els = document.getElementsByTagName('*'),
		i, attr, html, c, el;
	for (i = 0; i < els.length; i += 1) {
		el = els[i];
		attr = el.getAttribute('data-icon');
		if (attr) {
			addIcon(el, attr);
		}
		c = el.className;
		c = c.match(/icon-[^\s'"]+/);
		if (c && icons[c[0]]) {
			addIcon(el, icons[c[0]]);
		}
	}
};